<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author lorena.salamanca
  
-->

<h:panelGrid id="consultarCesionesForm"
             xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui">

    <p:fieldset>
        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Número documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoContratoActivoAv.avaluadorSeleccionado.numeroIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Nombre avaluador:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoContratoActivoAv.avaluadorSeleccionado.primerNombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
            <h:outputText id="TerritorialesConDireccionGeneral-2"
                          value="#{adminInfoContratoActivoAv.avaluadorSeleccionado.territorialCodigo}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneral-2" />
            </h:outputText>

            <h:outputLabel value="Contrato activo:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoContratoActivoAv.avaluadorSeleccionado.activo}" />

            <h:outputLabel value="Año contrato:" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{adminInfoContratoActivoAv.avaluadorSeleccionado.anio}" />

            <h:outputLabel value="Fecha fin contrato:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoContratoActivoAv.contrato.fechaHasta}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFecha}" locale="es_CO"
                                   timeZone="GMT-5" />
            </h:outputText>

            <h:outputLabel value="Fecha final contrato con adiciones:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminInfoContratoActivoAv.fechaFinalContratoAdiciones}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFecha}" locale="es_CO"
                                   timeZone="GMT-5" />
            </h:outputText>

        </h:panelGrid>
        <h:panelGrid cellpadding="5" cellspacing="5">

            <p:dataTable id="tablaCesiones" widgetVar="cesionesTableWv"
                         var="cesion" rowKey="cesion.id"
                         emptyMessage="No se encontraron cesiones"
                         value="#{adminInfoContratoActivoAv.listaCesionesContrato}" rows="10"
                         paginator="true"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                         {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5" paginatorPosition="bottom">

                <f:facet name="header">
                    <h:outputText value="Información de cesiones de contrato" />
                </f:facet>

                <p:column headerText="Número cesión">
                    <h:outputText styleClass="outputTextStyle" value="#{cesion.id}" />
                </p:column>

                <p:column headerText="Fecha inicio cesión">
                    <h:outputText styleClass="outputTextStyle" value="#{cesion.fecha}">
                        <f:convertDateTime pattern="#{general.formatoFecha}"
                                           locale="es_CO" timeZone="GMT-5" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Avaluador que cedió">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{cesion.cedeProfesional.nombreCompleto}" />
                </p:column>

                <p:column headerText="Avaluador que acepta">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{cesion.recibeProfesional.nombreCompleto}" />
                </p:column>

                <p:column headerText="Observación">
                    <h:outputText styleClass="outputTextStyle" value="#{cesion.motivo}" />
                </p:column>
            </p:dataTable>
        </h:panelGrid>
    </p:fieldset>
</h:panelGrid>